﻿@{
    ViewBag.Title = "电话费";
    Layout = null;// "~/Views/Shared/_Layout_Search.cshtml";
}

<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="ThemeBucket">
    <title></title>
    <link href="~/css/bootstrap.min.css" rel="stylesheet">
    <link href="~/css/plugins/jqgrid/ui.jqgrid.css?v=111111111" rel="stylesheet">
    <link href="~/css/animate.min.css" rel="stylesheet">
    <link href="~/css/style.min.css" rel="stylesheet">
    <script src="~/js/jquery.min.js"></script>
    <script src="~/js/plugins/jqgrid/i18n/grid.locale-cn.js"></script>
    <script src="~/js/plugins/jqgrid/jquery.jqGrid.min.js"></script>
</head>
<body style="width:100%;padding:10px">
    <table id="list2"></table>
    @*<div id="pager2"></div>*@

<script type="text/javascript">

    $(function () {
        var year =@ViewBag.Year;
        var sim ='@ViewBag.Sim';
        var urlstr = "/SimCost/GetList?year=" + year + "&sim=" + sim;

            jQuery("#list2").jqGrid(
                {
                    url: urlstr,
                datatype: "json",
                colModel: [                    
                    {
                        label: '日期', name : 'bill_year', labtype: 'txt', hidden: false, width: 100,
                        formatter: function (cellvalue, options, rowObject) {
                            return rowObject.bill_year + "-" + rowObject.bill_month;
                        }
                    },
                    {
                        label: '电话卡号', name : 'simcard', labtype: 'txt', hidden: false, width: 150,
                    },
                    { label: '使用人员', name : 'username', labtype: 'txt', hidden: false, width: 150 },
                    { label: '电话单金额', name : 'bill_amount', labtype: 'txt', hidden: false, width: 150 },
                    { label: '电话补贴金额', name : 'allow_amount', labtype: 'txt', hidden: false, width: 150 },
                    { label: '差异金额', name : 'amount', labtype: 'txt', hidden: false, width: 100 },
                    { label: '状态', name : 'statusChs', labtype: 'txt', hidden: false, width: 100 },
                    { label: '更新日期', name: 'up_time', labtype: 'txt', hidden: false, width: 200},
                    ],
                    shrinkToFit: true,
                //rowNum: 10,
                //rowList: [10, 20, 30],
                //pager: '#pager2',
                //sortname: 'id',
                mtype: "post",
                viewrecords: true,
            });
        });



        @*gridConfig = { multiselect: false, selectcol: "id" };
        dataCol = [
            { label: '序号', name: 'id', labtype: 'txt', hidden: false, width: 50 },
            {
                label: '日期', name: 'bill_year', labtype: 'txt', hidden: false, width: 150,
                formatter: function (cellvalue, options, rowObject) {
                    return rowObject.bill_year + "-" + rowObject.bill_month;
                }},
            {
                label: '电话卡号', name: 'simcard', labtype: 'txt', hidden: false, width: 150,
            },
            { label: '使用人员', name: 'username', labtype: 'txt', hidden: false, width: 150 },
            { label: '电话单金额', name: 'bill_amount', labtype: 'txt', hidden: false, width: 100 },
            { label: '电话补贴金额', name: 'allow_amount', labtype: 'txt', hidden: false, width: 100 },
            { label: '差异金额', name: 'amount', labtype: 'txt', hidden: false, width: 100 },
            { label: '状态', name: 'statusChs', labtype: 'txt', hidden: false, width: 100 },
            { label: '更新日期', name: 'up_time', labtype: 'txt', hidden: false },
        ];
        dataUrl = "/SimCost/GetList?year=" +@ViewBag.Year+"&sim="+@ViewBag.Sim;*@

</script>

</body>
</html>


